package com.mortals.xhx.busiz.req;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * 短信发送类
 *
 * @author:
 * @date: 2022/9/7 14:35
 */
@Data
public class SmsThirdPartyReq {

    /**
     *
     */
    @JSONField(serialize=false)
    private Long alarmSmsSendId;
    /**
     * appid
     */
    private String appid;
    /**
     * 手机号码
     */
    private String phone;
    /**
     * 模板号
     */
    private String type;
    /**
     * 内容
     */
    private String json;


    public static void main(String[] args) {
        SmsThirdPartyReq smsThirdPartyReq = new SmsThirdPartyReq();
        smsThirdPartyReq.setAlarmSmsSendId(0L);
        smsThirdPartyReq.setAppid("12");
        smsThirdPartyReq.setPhone("31");
        smsThirdPartyReq.setType("123");
       // smsThirdPartyReq.setJson(new JSONObject());


        System.out.println(JSON.toJSONString(smsThirdPartyReq));

    }


}
